

#ifndef Imgcmp_includeD
#define Imgcmp_includeD

#include "../s_tools/sfile.h"


#define Imgcmp_sort_buf_sizE 100
#define Imgcmp_sort_buf_size_limiT 1.0e6          /* MUST be double constant */

#define Imgcmp_ratio_maxcounT 100
#define Imgcmp_ratio_maxcount_limiT 1.0e6


struct ImgcmP {

 struct AsagenT *agent;

 struct ImgmaP imp;

 int find_self;                     /* 1=when searching, accept search target
                                         as valid result */
 int max_result;                    /* 0=unlimited */
 int result_counter;

 int check_ratio;                   /* test matches for similar proportions */
 double ratio_tolerance_l;          /* lower ratio-ratio limit */
 double ratio_tolerance_u;          /* upper */
 int ratio_maxcount;                /* max. ratio reads per query */

 int bundle_open;

 char progname[SfileadrL];

 int client_intern;                 /* 1= do not transfer commands to server */

 int neutral_match_par;             /* 1= do not send -match_par to server */

 unsigned long bundle_count;

 int show_commands;

 int append_nondash;                /* 1= commands which do not start with -
                                          are taken as filenames and appended
                                          to the image map. */
 /* sort buffer for results */
 double *distbuf;
 char **namebuf;
 int bufsize;
 int bufcount;
 int buf_overflown;
 int buf_recent_add;
 int buf_truncate;

 int ratio_counter;

};


#endif /* ! Imgcmp_includeD */

