
/*
 cc -g -c imgdbs.c
*/


#include <sys/types.h>
#include <stdlib.h>
#include <stdio.h>
#include <sys/stat.h>
#include <string.h>
#include <errno.h>
#include <math.h>


#include "../s_tools/smem.h"
#include "../s_tools/sfile.h"
#include "../s_tools/sregex.h"

#include "imgsamp.h"
#include "imgexempt.h"

#include "imgdb.h"
#include "imgdbs_null.h"


/* -------------------------------- ImgdbS ------------------------------ */


int Imgdbs_new(imdbs,imdb,hostname,username,password,
               dbname,sample_table,sample_format,exempt_table,flag)
struct ImgdbS **imdbs;
struct ImgdB *imdb;
char *hostname,*username,*password,*dbname;
char *sample_table;
int sample_format;
char *exempt_table;
int flag;
{
 int ret;

 *imdbs= NULL;
 sprintf(imdb->errmsg,"No SQL database adapter compiled into this program.");
 return(0);
}


int Imgdbs_destroy(imdbs,flag)
struct ImgdbS **imdbs;
int flag;
{
 struct ImgdbS *m;
 
 m= *imdbs;
 if(m==NULL)
   return(0);
 Imgdbs_close(m,0);
 Smem_freE((char *) m);
 *imdbs= NULL;
 return(1);
}


char *Imgdbs__dbtype(flag)
int flag;
{
 return(Imgdbs_dbtypE);
}


int Imgdbs_copy(source,target,flag)
struct ImgdbS *source,*target;
int flag;
{
 return(0);
}


int Imgdbs_open(imdbs,flag)
struct ImgdbS *imdbs;
int flag;
/*
 bit14= create table if necessary
*/
{
 return(0);
}


int Imgdbs_close(imdbs,flag)
struct ImgdbS *imdbs;
int flag;
{
 return(0);
}


int Imgdbs_is_open(imdbs,flag)
struct ImgdbS *imdbs;
int flag;
{
 return(0);
}


int Imgdbs_preserve_searchpos(imdbs,flag)
struct ImgdbS *imdbs;
int flag;
{
 return(0);
}


int Imgdbs_activate_searchpos(imdbs,flag)
struct ImgdbS *imdbs;
int flag;
{
 return(0);
}


int Imgdbs_init_search_query(imdbs,samp,name,flag)
struct ImgdbS *imdbs;
struct ImgsamplE *samp;
char *name;
int flag;
/*
 bit1= sample contains image data for possible pre-selection
 bit2= name contains fileaddress for possible pre-selection
 bit4= prepare for possible intermediate queries
*/
{
 return(0);
}


int Imgdbs_end_query(imdbs,flag)
struct ImgdbS *imdbs;
int flag;
{
 return(0);
}


int Imgdbs_write_samp(imdbs,writesample,flag)
struct ImgdbS *imdbs;
struct ImgsamplE *writesample;
int flag;
{
 return(0);
}


int Imgdbs_record(imdbs,filename,writesample,flag)
struct ImgdbS *imdbs;
char *filename;
struct ImgsamplE *writesample;
int flag;
{
 return(0);
}


int Imgdbs_read_samp(imdbs,readsample,flag)
struct ImgdbS *imdbs;
struct ImgsamplE *readsample;
int flag;
/*
  bit0= address with readsample->samp_adr (i.e. start a new query)
*/
{
 return(0);
}


int Imgdbs_read_nam(imdbs,readsample,flag)
struct ImgdbS *imdbs;
struct ImgsamplE *readsample;
int flag;
{
 return(0);
}


int Imgdbs_del_back(imdbs,samp,flag)
/* delete sample and everything that has a higher address */
struct ImgdbS *imdbs;
struct ImgsamplE *samp;
int flag;
{
 return(0);
}


int Imgdbs_rm_sample(imdbs,samp,flag)
struct ImgdbS *imdbs;
struct ImgsamplE *samp;
int flag;
{
 int ret;

 ret= Imgdbs_write_samp(imdbs,samp,(1<<15));
 return(ret);
}


int Imgdbs_add_exempt(imdbs,filename,lookalikes,flag)
struct ImgdbS *imdbs;
char *filename;
struct LstrinG **lookalikes;
int flag;
{
 return(0);
}


int Imgdbs_exemptlist_is_changed(imdbs,list_seal,seal,flag)
struct ImgdbS *imdbs;
unsigned long list_seal;
unsigned long *seal;
int flag;
{
 return(0);
}


int Imgdbs_count_exempts(imdbs,count,flag)
struct ImgdbS *imdbs;
int *count;
int flag;
/*
 bit0= do not add 1 for security
*/
{
 return(0);
}


int Imgdbs_read_exempt(imdbs,listname,filename,lstring,flag)
struct ImgdbS *imdbs;
char *listname;
char filename[SfileadrL];
struct LstrinG **lstring;
int flag;
/*
 bit0= resume reading
*/
/*
 return:  1=more to read
          0=everything is read (or cannot open file)
         -1=fatal failure
*/
{
 return(0); 
}


int Imgdbs_garbage_coll(imdbs,flag)
struct ImgdbS *imdbs;
int flag;
{
 return(0);
}


int Imgdbs_db_exists(imdbs,flag)
struct ImgdbS *imdbs;
int flag;
{
 return(0);
}


int Imgdbs_read_conf(imdbs,imdb,names,contents,count,flag)
struct ImgdB **imdbs;
struct ImgdB *imdb;
char **names;
char **contents;
int count;
int flag;
{
 return(0);
}


int Imgdbs_rename(imdbs,samp,new_name,flag)
struct ImgdbS *imdbs;
struct ImgsamplE *samp;
char *new_name;
int flag;
{
 return(0);
}


