

#ifndef Sdb_mysql_includeD
#define Sdb_mysql_includeD

#include <mysql/mysql.h>

#define Sdb_mysql_dbtypE "MySQL"
#define Sdb_mysql_typelisT ",MySQL,"

#define Sdb_mysql_reconnect_maxtrY 5

#define Sdb_mysql_min_msg_sizE 1024


#define Sdb_generiC Sdb_mysqL

#define Sdb_res_generiC MYSQL_RES


struct Sdb_mysqL {

 char *hostname;
 char *username;
 char *password;
 char *dbname;

 MYSQL *db;
 int opened;

 int fetch_mode;      /* How to fetch the result rows (preferrably)
                           0= all at once ( mysql_store_result() )
                           1= one by one ( mysql_use_result() )
                       */

 MYSQL_RES *query_result;

 char *message;         /* refers to storage[>=Sdb_mysql_min_msg_sizE]
                           provided by application */
};


#endif /* ! Sdb_mysql_includeD */


/*

 Sdb_mysqL is an implementation of the SDB data base access API.
 This version uses the MySQL database server.

*/ 
