

#ifndef Imgmatch_includeD
#define Imgmatch_includeD


/* initial settings */
#define Imgmatch_color_epS         4.0
#define Imgmatch_bw_epS            1.0
#define Imgmatch_color_max_misseS  4
#define Imgmatch_bw_max_misseS     2
#define Imgmatch_search_methoD     0

/* used while downgrading from color tolerances to bw tolerances */
#define Imgmatch_color_eps_maxtrY    32
#define Imgmatch_color_eps_downgradE 0.8


struct ImgmatcH {

 int search_method;  /* 0= color_diff  , 1= color_double_diff */
 double color_eps;
 double bw_eps;
 int color_max_misses;
 int bw_max_misses;

 int check_distance;
 double max_distance_factor;

 /* >>> for future use */
 int check_ratio;
 double ratio_tolerance;

 /* cache for search runs */
 double cm[3];

 double eps;
 int max_misses;
};


#endif /* ! Imgmatch_includeD */


