
#ifndef Sdb_odbc_dummy_includeD
#define Sdb_odbc_dummy_includeD

#include "sdb_odbc_dummy.h"

#endif /* Sdb_odbc_dummy_includeD */


#ifndef Sdb_odbc_includeD
#define Sdb_odbc_includeD


/* #define Sdb_odbc_odbc2 */

#define Sdb_odbc_dbtypE "ODBC"
#define Sdb_odbc_typelisT ",ODBC,"

#define Sdb_odbc_reconnect_maxtrY 5

#define Sdb_odbc_min_msg_sizE 1024

#define Sdb_generiC Sdb_odbC

#define Sdb_res_generiC struct Sdb_odbc_stQ



struct Sdb_odbC {

 char *hostname;
 char *username;
 char *password;
 char *dbname;

 SQLHENV db;
 SQLHDBC svchp;

 SQLRETURN oret;
/*
 OCIError *errhp;
*/

 int initialized;
 int opened;

 int auto_commit;     /* wether to send COMMIT WORK automatically after each
                         INSERT, UPDATE, or DELETE statement */
 int fetch_mode;      /* How to fetch the result rows (preferrably)
                           0= all at once ( buffered )
                           1= one by one ( unbuffered )
                       */

 struct Sdb_odbc_stQ  *stq;

 char *message;         /* refers to storage[>=Sdb_odbc_min_msg_sizE]
                           provided by application */
 int debug_mode;        /* wether to report certain events :
                           0 = no report of trace points
                           1 = untested trace points
                           2 = 1 + tested trace points
                         */
};


#endif /* ! Sdb_odbc_includeD */


/*

 Sdb_odbC is an implementation of the SDB data base access API.
 This version uses database servers via ODBC.

 Sdb_odbc_stQ represents a SQL statement and eventually its result.

*/ 
