
#include "stypes.h"


#ifdef Stypes_on_ms_windowS 


#include "/msdev/include/windows.h"

#include "/odbcsdk/include/sql.h"

#include "/odbcsdk/include/sqlext.h"

#include "/odbcsdk/include/sqltypes.h"


#else /* Stypes_on_ms_windowS */


/* until we get a real ODBC header file */

typedef char *SQLHENV;
typedef char *SQLHDBC;
typedef char *SQLHSTMT;
typedef char *SQLPOINTER;
typedef char SQLCHAR;
typedef short SQLSMALLINT;
typedef int SQLRETURN;
typedef int SQLINTEGER;
typedef unsigned int SQLUINTEGER;


#define SQL_SUCCESS 1
#define SQL_SUCCESS_WITH_INFO 2
#define SQL_NEED_DATA 3
#define SQL_NO_DATA 4
#define SQL_ERROR 5
#define SQL_INVALID_HANDLE 6
#define SQL_STILL_EXECUTING 7


#define SQL_HANDLE_ENV -1
#define SQL_HANDLE_DBC -1
#define SQL_HANDLE_STMT -1
#define SQL_NTS -1

#define SQL_C_CHAR -1

#define SQL_NULL_HANDLE -1

#define SQL_ATTR_CP_MATCH -1

#define SQL_ATTR_ODBC_VERSION -1
#define SQL_OV_ODBC2 -1
#define SQL_OV_ODBC3 -1

#define SQL_MAX_MESSAGE_LENGTH 1024

#endif /* ! Stypes_on_ms_windowS */


/* -------- probably obsolete OCI types */

typedef unsigned long ub4;

typedef long sb4;

typedef short sword;

typedef unsigned short ub2;

typedef char text;

typedef char dvoid;

typedef char OCIError;

typedef char OCIParam;

